using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;


namespace BigSock.UI
{
    public class AbilityElement : MonoBehaviour
    {
        private Slider chargeSlider, cooldownSlider;

        public AbilityElement WithCharge(float? value = null, float? maxValue = null)
        {
            if (value != null) chargeSlider.value = value.Value;

            if (maxValue != null) chargeSlider.maxValue = maxValue.Value;
            return this;
        }
        
        public AbilityElement WithCooldown(float? value = null, float? maxValue = null)
        {
            if (value != null) cooldownSlider.value = value.Value;

            if (maxValue != null) cooldownSlider.maxValue = maxValue.Value;
            return this;
        }       



        // Start is called before the first frame update
        void Start()
        {
            chargeSlider = transform.Find("ChargeSlider").GetComponent<Slider>();
            cooldownSlider = transform.Find("ReloadSlider").GetComponent<Slider>();
        }

        // Update is called once per frame
        void Update()
        {

        }
    }
}
