using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

namespace BigSock.UI{

    public class UtilBar : MonoBehaviour
{

    public Slider hpSlider;
    public Slider manaSlider;
    public Slider staminaSlider;
    public Slider xpSlider;
    public Gradient gradient;
    public Image hpFill;
    
    
    public UtilBar WithHealth(int? value = null, int? maxValue = null){
        if(value != null) hpSlider.value = value.Value;
        
        if(maxValue != null) hpSlider.maxValue = maxValue.Value;

        hpFill.color = gradient.Evaluate(hpSlider.normalizedValue);

        return this;
    }

    public UtilBar WithMana(int? value = null, int? maxValue = null){
        if(value != null) manaSlider.value = value.Value;
        
        if(maxValue != null) manaSlider.maxValue = maxValue.Value;
        return this;
    }

    public UtilBar WithStamina(int? value = null, int? maxValue = null){
        if(value != null) staminaSlider.value = value.Value;
        
        if(maxValue != null) staminaSlider.maxValue = maxValue.Value;
        return this;
    }

    public UtilBar WithXP(int? value = null, int? maxValue = null){
        if(value != null) xpSlider.value = value.Value;
        
        if(maxValue != null) xpSlider.maxValue = maxValue.Value;
        return this;
    }


    


    
}
}
